Get Pmtu Status By Service Mesh Id

Get Pmtu Status By Service Mesh Id
This API takes ServiceMeshId as a parameter, and returns the last discovered, configured and current MTU values for all the uplinks in the service mesh

This API takes ServiceMeshId as a parameter, and returns the last discovered, configured and current MTU values for all the uplinks in the service mesh

Request
URI
GET
https://{server}/hybridity/api/interconnect/underlay/pmtu/serviceMesh/{serviceMeshId}
COPY
Path Parameters
string
serviceMeshId
Required

Service mesh Id for which on demand metrics is needed


Authentication
This operation uses the following authentication methods.
Responses
200

Ok

Returns pmtuStatus of type(s) application/json
{
    "serviceMeshId": "string",
    "items": [
        {
            "uplinkId": "string",
            "uplinkName": "string",
            "serviceMeshIds": [
                "string"
            ],
            "currentMtu": 0,
            "configuredMtu": 0,
            "discoveredMtu": 0,
            "timestamp": 0,
            "overallErrorMessage": "string",
            "pmtuMetrics": [
                {
                    "localAddress": "string",
                    "remoteAddress": "string",
                    "remoteUplinkId": "string",
                    "rxPmtu": 0,
                    "txPmtu": 0,
                    "error": "string"
                }
            ]
        }
    ]
}
string
serviceMeshId
Optional

serviceMeshId

array of object
items
Optional

items


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

404

Not Found

Operation doesn't return any data structure

500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/hybridity/api/interconnect/underlay/pmtu/serviceMesh/{serviceMeshId}